<?php


if ( ! function_exists( 'belly_get_option' ) ) :


	function belly_get_option( $key ) {

		$belly_default_options = belly_get_default_theme_options();

		if ( empty( $key ) ) {
			return;
		}

		$default = ( isset( $belly_default_options[ $key ] ) ) ? $belly_default_options[ $key ] : '';
		$theme_options = get_theme_mod( 'theme_options', $belly_default_options );
		$theme_options = array_merge( $belly_default_options, $theme_options );
		$value = '';

		if ( isset( $theme_options[ $key ] ) ) {
			$value = $theme_options[ $key ];
		}

		return $value;

	}

endif;

if ( ! function_exists( 'belly_get_default_theme_options' ) ) :


	function belly_get_default_theme_options() {

		$defaults = array();

		// Header.
		$defaults['show_title']            = true;
		$defaults['show_tagline']          = true;
		$defaults['show_social_in_header'] = false;
		$defaults['show_search_in_header'] = true;

		// Breaking News.
		$defaults['show_breaking_news']     = true;
		$defaults['breaking_news_text']     = esc_html__( 'Breaking News', 'belly' );
		$defaults['breaking_news_category'] = '';
		$defaults['breaking_news_number']   = 4;

		// Featured News.
		$defaults['featured_news_status']   = true;
		$defaults['featured_news_category'] = '';

		// Layout.
		$defaults['site_layout']    = 'fluid';
		$defaults['global_layout']  = 'right-sidebar';
		$defaults['archive_layout'] = 'excerpt';

		// Single Post.
		$defaults['show_related_posts'] = true;

		// Footer.
		$defaults['copyright_text'] = esc_html__( 'Copyright &copy; All rights reserved.', 'belly' );

		// Blog.
		$defaults['excerpt_length']     = 40;
		$defaults['exclude_categories'] = '';

		// Breadcrumb.
		$defaults['breadcrumb_type'] = 'enabled';

		return apply_filters( 'belly_filter_default_theme_options', $defaults );
	}

endif;
