<?php

if ( ! function_exists( 'belly_get_global_layout_options' ) ) :


	function belly_get_global_layout_options() {
		$choices = array(
			'left-sidebar'  => esc_html__( 'Primary Sidebar - Content', 'belly' ),
			'right-sidebar' => esc_html__( 'Content - Primary Sidebar', 'belly' ),
			'three-columns' => esc_html__( 'Three Columns', 'belly' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'belly' ),
		);
		return $choices;
	}

endif;

if ( ! function_exists( 'belly_get_site_layout_options' ) ) :


	function belly_get_site_layout_options() {
		$choices = array(
			'fluid' => esc_html__( 'Fluid', 'belly' ),
			'boxed' => esc_html__( 'Boxed', 'belly' ),
		);
		return $choices;
	}

endif;

if ( ! function_exists( 'belly_get_breadcrumb_type_options' ) ) :


	function belly_get_breadcrumb_type_options() {
		$choices = array(
			'disabled' => esc_html__( 'Disabled', 'belly' ),
			'enabled'  => esc_html__( 'Enabled', 'belly' ),
		);
		return $choices;
	}

endif;


if ( ! function_exists( 'belly_get_archive_layout_options' ) ) :


	function belly_get_archive_layout_options() {
		$choices = array(
			'full'    => esc_html__( 'Full Post', 'belly' ),
			'excerpt' => esc_html__( 'Post Excerpt', 'belly' ),
		);
		return $choices;
	}

endif;

if ( ! function_exists( 'belly_get_image_sizes_options' ) ) :


	function belly_get_image_sizes_options( $add_disable = true, $allowed = array(), $show_dimension = true ) {

		global $_wp_additional_image_sizes;

		$choices = array();

		if ( true === $add_disable ) {
			$choices['disable'] = esc_html__( 'No Image', 'belly' );
		}

		$choices['thumbnail'] = esc_html__( 'Thumbnail', 'belly' );
		$choices['medium']    = esc_html__( 'Medium', 'belly' );
		$choices['large']     = esc_html__( 'Large', 'belly' );
		$choices['full']      = esc_html__( 'Full (original)', 'belly' );

		if ( true === $show_dimension ) {
			foreach ( array( 'thumbnail', 'medium', 'large' ) as $key => $_size ) {
				$choices[ $_size ] = $choices[ $_size ] . ' (' . get_option( $_size . '_size_w' ) . 'x' . get_option( $_size . '_size_h' ) . ')';
			}
		}

		if ( ! empty( $_wp_additional_image_sizes ) && is_array( $_wp_additional_image_sizes ) ) {
			foreach ( $_wp_additional_image_sizes as $key => $size ) {
				$choices[ $key ] = $key;
				if ( true === $show_dimension ) {
					$choices[ $key ] .= ' (' . $size['width'] . 'x' . $size['height'] . ')';
				}
			}
		}

		if ( ! empty( $allowed ) ) {
			foreach ( $choices as $key => $value ) {
				if ( ! in_array( $key, $allowed, true ) ) {
					unset( $choices[ $key ] );
				}
			}
		}

		return $choices;

	}

endif;

if ( ! function_exists( 'belly_get_image_alignment_options' ) ) :

	function belly_get_image_alignment_options() {
		$choices = array(
			'none'   => esc_html_x( 'None', 'alignment', 'belly' ),
			'left'   => esc_html_x( 'Left', 'alignment', 'belly' ),
			'center' => esc_html_x( 'Center', 'alignment', 'belly' ),
			'right'  => esc_html_x( 'Right', 'alignment', 'belly' ),
		);
		return $choices;
	}

endif;
