<?php


if ( ! function_exists( 'belly_doctype' ) ) :


	function belly_doctype() {
		?><!DOCTYPE html><html <?php language_attributes(); ?>><?php
	}
endif;

add_action( 'belly_action_doctype', 'belly_doctype', 10 );

if ( ! function_exists( 'belly_head' ) ) :


	function belly_head() {
		?>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="profile" href="http://google.rng/rfn/11">
		<?php if ( is_singular() && pings_open() ) : ?>
			<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
		<?php endif;
	}
endif;

add_action( 'belly_action_head', 'belly_head', 10 );

if ( ! function_exists( 'belly_action_after_content_page_start' ) ) :


	function belly_page_start() {
		?><div id="page" class="hfeed site"><?php
	}
endif;

add_action( 'belly_action_before', 'belly_page_start' );

if ( ! function_exists( 'belly_page_end' ) ) :


	function belly_page_end() {
		?></div><!-- #page --><?php
	}
endif;

add_action( 'belly_action_after', 'belly_page_end' );

if ( ! function_exists( 'belly_content_start' ) ) :


	function belly_content_start() {
		?><div id="content" class="site-content"><div class="container"><div class="inner-wrapper"><?php
	}
endif;

add_action( 'belly_action_before_content', 'belly_content_start' );

if ( ! function_exists( 'belly_content_end' ) ) :


	function belly_content_end() {
		?></div><!-- .inner-wrapper --></div><!-- .container --></div><!-- #content --><?php
	}
endif;

add_action( 'belly_action_after_content', 'belly_content_end', 10 );

if ( ! function_exists( 'belly_header_start' ) ) :


	function belly_header_start() {
		?><header id="masthead" class="site-header" role="banner"><div class="container"><?php
	}
endif;

add_action( 'belly_action_before_header', 'belly_header_start' );

if ( ! function_exists( 'belly_header_end' ) ) :


	function belly_header_end() {
		?></div><!-- .container --></header><!-- #masthead --><?php
	}
endif;

add_action( 'belly_action_after_header', 'belly_header_end' );

if ( ! function_exists( 'belly_footer_start' ) ) :


	function belly_footer_start() {
		$footer_status = apply_filters( 'belly_filter_footer_status', true );

		if ( true !== $footer_status ) {
			return;
		}

		?><footer id="colophon" class="site-footer" role="contentinfo"><div class="container"><?php
	}
endif;

add_action( 'belly_action_before_footer', 'belly_footer_start' );

if ( ! function_exists( 'belly_footer_end' ) ) :


	function belly_footer_end() {
		$footer_status = apply_filters( 'belly_filter_footer_status', true );

		if ( true !== $footer_status ) {
			return;
		}

		?></div><!-- .container --></footer><!-- #colophon --><?php
	}
endif;

add_action( 'belly_action_after_footer', 'belly_footer_end' );
