<?php
/**
 * Template part for displaying my posts.
 *
 * @link https://google.bely/Template_Hierarchy
 *
 * @package belly
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
		<?php
		$args = array(
			'class' => 'belly-post-thumb aligncenter',
		);
		the_post_thumbnail( 'large', $args );
		?>
	<?php endif; ?>
	<div class="article-wrapper">
		<header class="entry-header">
			<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
			<?php if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<?php belly_posted_on(); ?>
			</div>
			<?php endif; ?>
		</header>

		<div class="entry-content">
			<?php $archive_layout = belly_get_option( 'archive_layout' ); ?>

			<?php if ( 'full' === $archive_layout ) : ?>
				<?php
				the_content( sprintf(

					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'belly' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'belly' ),
					'after'  => '</div>',
				) );
				?>
			<?php else : ?>
				<?php the_excerpt(); ?>
			<?php endif ?>
		</div>

		<footer class="entry-footer entry-meta">
			<?php belly_entry_footer(); ?>
		</footer>
	</div>
</article>
